This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 166677 - oom-kill should have a well know list of processes that it should not kill.
oom-kill should have a well know list of processes that it should not kill.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Larry Woodman
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-24 11:36 EDT by Jeff Burke
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-26 10:50:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The attachment is the log output of what happens when oom-kill kills a kernel process it shouldn't have. (62.45 KB, text/plain)
2005-08-24 11:36 EDT, Jeff Burke
no flags Details

  None (edit)
Description Jeff Burke 2005-08-24 11:36:40 EDT
Description of problem: 
 oom-kill should not kill vital kernel processes.


Version-Release number of selected component (if applicable):


How reproducible:
 Intermittent, depends on oom-kill logic


Steps to Reproduce:
1. Run a moderate stress load on kernel, stress-kernel.rpm
2. Wait for oom-kill to start killing.
  
Actual results:
 See attachment

Expected results:
 oom-kill should have a well know list of processes that it should not kill.

Additional info:
 I have spoken to Larry about this already, He says that upstream is already
moving in this direction. The upstream method will break kabi so he will have to
modify some of the backport code.
Comment 1 Jeff Burke 2005-08-24 11:36:40 EDT
Created attachment 118074 [details]
The attachment is the log output of what happens when oom-kill kills a kernel process it shouldn't have.
Comment 2 Larry Woodman 2005-08-30 11:40:29 EDT
There is something like this in the upstream kernel but is significantly breaks
the KABI and doesnt really do whats necessary.  I will look into gettinf the
upstream functionality into the RHEL4 kernel but the systems you are testing are
really overloaded snt therefore have unknown side effects.

Larry
Comment 3 Jeff Burke 2007-10-03 09:43:01 EDT
Larry,
 If we are not going to fix this, We should close as WONTFIX.

Thanks Jeff
Comment 4 Jeff Burke 2007-11-26 09:23:31 EST
Larry,
   Ping
Comment 5 Larry Woodman 2007-11-26 10:50:25 EST
RHEL5 allows one to set the OOM kill priority via /proc/<pid>/oom_adj and
/proc/<pid>/oom_score.  This way you can set the order of tasks that will be OOM
killed when the system runs out of memory and swaps space.  This functionality
is too complicated and risky to backport to RHEL4.

Larry

Note You need to log in before you can comment on or make changes to this bug.